Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058902

Summary: Review Request: eclipse-m2e-sisu - M2E Sisu connector
Product: [Fedora] Fedora Reporter: Mikolaj Izdebski <mizdebsk>
Component: Package ReviewAssignee: gil cattaneo <puntogil>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, puntogil
Target Milestone: ---Flags: puntogil: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-30 13:53:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1058881    
Bug Blocks:    

Description Mikolaj Izdebski 2014-01-28 17:58:31 UTC
Spec URL: http://mizdebsk.fedorapeople.org/review/eclipse-m2e-sisu/eclipse-m2e-sisu.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/eclipse-m2e-sisu/eclipse-m2e-sisu-0.15.0-0.1.git81d3bc5.fc21.src.rpm
Description: This package provides Sisu connector for Eclipse M2E.
Fedora Account System Username: mizdebsk

Comment 1 Mikolaj Izdebski 2014-01-29 19:48:37 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6469872

Comment 2 gil cattaneo 2014-01-30 06:05:23 UTC
NOTE manual review cause:
Error: No Package found for mvn(io.tesla.tycho:tycho-support:pom:)



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/gil/1058883-eclipse-m2e-modello/srpm/review-
     eclipse-m2e-sisu/licensecheck.txt
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-m2e-sisu-0.15.0-0.1.git81d3bc5.fc21.noarch.rpm
          eclipse-m2e-sisu-0.15.0-0.1.git81d3bc5.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eclipse-m2e-sisu
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
eclipse-m2e-sisu (rpmlib, GLIBC filtered):
    osgi(org.eclipse.core.resources)
    osgi(org.eclipse.equinox.common)
    osgi(org.eclipse.equinox.registry)
    osgi(org.eclipse.m2e.core)
    osgi(org.eclipse.m2e.maven.runtime)



Provides
--------
eclipse-m2e-sisu:
    eclipse-m2e-sisu
    osgi(org.sonatype.m2e.sisu)



Source checksums
----------------
https://github.com/tesla/m2eclipse-sisu/archive/81d3bc5f9daf32e3cc6829e7c6b6964cd560b7bc/eclipse-m2e-sisu-0.15.0-81d3bc5.tar.gz :
  CHECKSUM(SHA256) this package     : 346ce31b4ec75c3254e87c0f3acba4643336a5f3a3b22ebffbef33b8b09fa852
  CHECKSUM(SHA256) upstream package : 346ce31b4ec75c3254e87c0f3acba4643336a5f3a3b22ebffbef33b8b09fa852


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -vpn eclipse-m2e-sisu -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Mikolaj Izdebski 2014-01-30 07:12:42 UTC
New Package SCM Request
=======================
Package Name: eclipse-m2e-sisu
Short Description: M2E Sisu connector
Owners: mizdebsk msrb sochotni
Branches: f20
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2014-01-30 13:05:31 UTC
Git done (by process-git-requests).

Comment 5 Mikolaj Izdebski 2014-01-30 13:53:43 UTC
Rawhide build completed: http://koji.fedoraproject.org/koji/taskinfo?taskID=6471700

Closing.